<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>SceneBase | abstract-scenes</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">abstract-scenes</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="../modules/_scene_templates_scenebase_.html">&quot;scene-templates/SceneBase&quot;</a>
				</li>
				<li>
					<a href="_scene_templates_scenebase_.scenebase.html">SceneBase</a>
				</li>
			</ul>
			<h1>Class SceneBase</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-comment">
				<div class="tsd-comment tsd-typography">
					<div class="lead">
						<p>The base scene element, has the most basic scene properties.</p>
					</div>
				</div>
			</section>
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<span class="target">SceneBase</span>
						<ul class="tsd-hierarchy">
							<li>
								<a href="_scene_templates_starter_.starter.html" class="tsd-signature-type">Starter</a>
							</li>
							<li>
								<a href="_scene_templates_sceneonlinebase_.sceneonlinebase.html" class="tsd-signature-type">SceneOnlineBase</a>
							</li>
							<li>
								<a href="_scene_templates_scenemenu_.scenemenu.html" class="tsd-signature-type">SceneMenu</a>
							</li>
						</ul>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Constructors</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-constructor tsd-parent-kind-class"><a href="_scene_templates_scenebase_.scenebase.html#constructor" class="tsd-kind-icon">constructor</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Properties</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><a href="_scene_templates_scenebase_.scenebase.html#gameelement" class="tsd-kind-icon">game<wbr>Element</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><a href="_scene_templates_scenebase_.scenebase.html#intervals" class="tsd-kind-icon">intervals</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><a href="_scene_templates_scenebase_.scenebase.html#timeouts" class="tsd-kind-icon">timeouts</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class"><a href="_scene_templates_scenebase_.scenebase.html#type" class="tsd-kind-icon">type</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Methods</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-protected"><a href="_scene_templates_scenebase_.scenebase.html#__type" class="tsd-kind-icon">__type</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="_scene_templates_scenebase_.scenebase.html#destroy" class="tsd-kind-icon">destroy</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="_scene_templates_scenebase_.scenebase.html#sceneelement" class="tsd-kind-icon">scene<wbr>Element</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="_scene_templates_scenebase_.scenebase.html#setup" class="tsd-kind-icon">setup</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Constructors</h2>
				<section class="tsd-panel tsd-member tsd-kind-constructor tsd-parent-kind-class">
					<a name="constructor" class="tsd-anchor"></a>
					<h3>constructor</h3>
					<ul class="tsd-signatures tsd-kind-constructor tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">new <wbr>Scene<wbr>Base<span class="tsd-signature-symbol">(</span>gameElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">HTMLDivElement</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="_scene_templates_scenebase_.scenebase.html" class="tsd-signature-type">SceneBase</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in scene-templates/SceneBase.ts:22</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Constructor for the SceneBase class.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>gameElement: <span class="tsd-signature-type">HTMLDivElement</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>The element the game is running in.</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="_scene_templates_scenebase_.scenebase.html" class="tsd-signature-type">SceneBase</a></h4>
						</li>
					</ul>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Properties</h2>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-protected">
					<a name="gameelement" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> game<wbr>Element</h3>
					<div class="tsd-signature tsd-kind-icon">game<wbr>Element<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">HTMLDivElement</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in scene-templates/SceneBase.ts:14</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The main element of the game</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-protected">
					<a name="intervals" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> intervals</h3>
					<div class="tsd-signature tsd-kind-icon">intervals<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">Array</span><span class="tsd-signature-symbol">&lt;</span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">&gt;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in scene-templates/SceneBase.ts:22</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>All the interval&#39;s in this scene.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-protected">
					<a name="timeouts" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> timeouts</h3>
					<div class="tsd-signature tsd-kind-icon">timeouts<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">Array</span><span class="tsd-signature-symbol">&lt;</span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">&gt;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in scene-templates/SceneBase.ts:18</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>All the timeout&#39;s in this scene.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class">
					<a name="type" class="tsd-anchor"></a>
					<h3>type</h3>
					<div class="tsd-signature tsd-kind-icon">type<span class="tsd-signature-symbol">:</span> <a href="../enums/_scene_templates_scenetype_.scenetype.html" class="tsd-signature-type">SceneType</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in scene-templates/SceneBase.ts:10</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The type of scene it is.</p>
						</div>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Methods</h2>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-protected">
					<a name="__type" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> __type</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-protected">
						<li class="tsd-signature tsd-kind-icon">__type<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="../enums/_scene_templates_scenetype_.scenetype.html" class="tsd-signature-type">SceneType</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in scene-templates/SceneBase.ts:39</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This should return what type of scene it is.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <a href="../enums/_scene_templates_scenetype_.scenetype.html" class="tsd-signature-type">SceneType</a></h4>
							<p>What type of scene it is.</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="destroy" class="tsd-anchor"></a>
					<h3>destroy</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">destroy<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in scene-templates/SceneBase.ts:69</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Destory&#39;s the scene.</p>
								</div>
								<p>Get&#39;s rid of any timeout&#39;s and interval&#39;s left in the scene.</p>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="sceneelement" class="tsd-anchor"></a>
					<h3>scene<wbr>Element</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">scene<wbr>Element<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">HTMLDivElement</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in scene-templates/SceneBase.ts:53</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Generates a element that covers the entire scene. Useful for sandboxing.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">HTMLDivElement</span></h4>
							<p>absolutely positioned div with all sides set to <code>0</code></p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="setup" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagAbstract">Abstract</span> setup</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">setup<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in scene-templates/SceneBase.ts:47</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Sets up the scene.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scenemanager_.html">"<wbr>Scene<wbr>Manager"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_index_.html">"index"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_minigame_.html">"scene-<wbr>templates/<wbr>Minigame"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_room_.html">"scene-<wbr>templates/<wbr>Room"</a>
					</li>
					<li class="current tsd-kind-external-module">
						<a href="../modules/_scene_templates_scenebase_.html">"scene-<wbr>templates/<wbr>Scene<wbr>Base"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_scenemenu_.html">"scene-<wbr>templates/<wbr>Scene<wbr>Menu"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_sceneonlinebase_.html">"scene-<wbr>templates/<wbr>Scene<wbr>Online<wbr>Base"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_scenetype_.html">"scene-<wbr>templates/<wbr>Scene<wbr>Type"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_starter_.html">"scene-<wbr>templates/<wbr>Starter"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scenetypeguard_.html">"scene<wbr>Type<wbr>Guard"</a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-class tsd-parent-kind-external-module">
						<a href="_scene_templates_scenebase_.scenebase.html" class="tsd-kind-icon">Scene<wbr>Base</a>
						<ul>
							<li class=" tsd-kind-constructor tsd-parent-kind-class">
								<a href="_scene_templates_scenebase_.scenebase.html#constructor" class="tsd-kind-icon">constructor</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-protected">
								<a href="_scene_templates_scenebase_.scenebase.html#gameelement" class="tsd-kind-icon">game<wbr>Element</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-protected">
								<a href="_scene_templates_scenebase_.scenebase.html#intervals" class="tsd-kind-icon">intervals</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-protected">
								<a href="_scene_templates_scenebase_.scenebase.html#timeouts" class="tsd-kind-icon">timeouts</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class">
								<a href="_scene_templates_scenebase_.scenebase.html#type" class="tsd-kind-icon">type</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-protected">
								<a href="_scene_templates_scenebase_.scenebase.html#__type" class="tsd-kind-icon">__type</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="_scene_templates_scenebase_.scenebase.html#destroy" class="tsd-kind-icon">destroy</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="_scene_templates_scenebase_.scenebase.html#sceneelement" class="tsd-kind-icon">scene<wbr>Element</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="_scene_templates_scenebase_.scenebase.html#setup" class="tsd-kind-icon">setup</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-module"><span class="tsd-kind-icon">Module</span></li>
				<li class="tsd-kind-object-literal"><span class="tsd-kind-icon">Object literal</span></li>
				<li class="tsd-kind-variable"><span class="tsd-kind-icon">Variable</span></li>
				<li class="tsd-kind-function"><span class="tsd-kind-icon">Function</span></li>
				<li class="tsd-kind-function tsd-has-type-parameter"><span class="tsd-kind-icon">Function with type parameter</span></li>
				<li class="tsd-kind-index-signature"><span class="tsd-kind-icon">Index signature</span></li>
				<li class="tsd-kind-type-alias"><span class="tsd-kind-icon">Type alias</span></li>
				<li class="tsd-kind-type-alias tsd-has-type-parameter"><span class="tsd-kind-icon">Type alias with type parameter</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-enum"><span class="tsd-kind-icon">Enumeration</span></li>
				<li class="tsd-kind-enum-member"><span class="tsd-kind-icon">Enumeration member</span></li>
				<li class="tsd-kind-property tsd-parent-kind-enum"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-enum"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-interface"><span class="tsd-kind-icon">Interface</span></li>
				<li class="tsd-kind-interface tsd-has-type-parameter"><span class="tsd-kind-icon">Interface with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-interface"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-interface"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-interface"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-class"><span class="tsd-kind-icon">Class</span></li>
				<li class="tsd-kind-class tsd-has-type-parameter"><span class="tsd-kind-icon">Class with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class"><span class="tsd-kind-icon">Accessor</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-class"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static property</span></li>
				<li class="tsd-kind-call-signature tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>